> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-cmo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connection presence only



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/connections
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Meta
    description: Health and the generated API description.
  - name: Auth
    description: Signup, login, sessions and email verification.
  - name: Device authorization
    description: Browser-approved API key provisioning for agents and the MCP server.
  - name: Setup tokens
    description: Single-use tokens that bootstrap a connector or agent.
  - name: MCP
    description: The canonical MCP install prompt.
  - name: Workspaces
    description: Workspace creation, settings, profile and competitors.
  - name: API keys
    description: 'Key lifecycle: create, deliver, acknowledge, rotate, revoke.'
  - name: Connections
    description: Connector status, tests, configuration and credentials.
  - name: Runs
    description: Measurement runs and their jobs.
  - name: Research
    description: The five-stage research pipeline.
  - name: Prompts
    description: The measurement prompt set.
  - name: Recommendations
    description: Recommendation board and guarded lifecycle transitions.
  - name: Reports
    description: Stable report identities and the report catalog.
  - name: Scores & metrics
    description: GEO score, scoreboard, metrics, timeseries and SEO.
  - name: Credits & billing
    description: Micro-USD credits, top-ups and Stripe checkout.
  - name: Team
    description: Members, roles and invitations.
  - name: Chat
    description: The workspace assistant (SSE) and its threads.
  - name: Webhooks
    description: Inbound webhooks.
paths:
  /api/v1/workspaces/{workspace}/connections:
    get:
      tags:
        - Connections
      summary: Get connection presence only
      operationId: getWorkspaceConnections
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionsPayload'
      security:
        - cookieAuth: []
        - bearerAuth:
            - connections:read
components:
  schemas:
    ConnectionsPayload:
      type: object
      properties:
        environment:
          type: object
          additionalProperties:
            type: boolean
        workspaceConfiguration:
          type: object
          additionalProperties:
            type: object
            properties:
              ga4:
                type: boolean
              gsc:
                type: boolean
              ga4Property:
                type: string
                nullable: true
              gscProperty:
                type: string
                nullable: true
            required:
              - ga4
              - gsc
            additionalProperties: false
        ahrefs:
          type: object
          additionalProperties:
            type: object
            properties:
              envFile:
                type: boolean
              apiKey:
                type: boolean
            required:
              - envFile
              - apiKey
            additionalProperties: false
        lastModified:
          type: object
          properties:
            gsc:
              type: string
              nullable: true
            reports:
              type: object
              additionalProperties:
                type: string
                nullable: true
          required:
            - gsc
            - reports
          additionalProperties: false
      required:
        - environment
        - workspaceConfiguration
        - ahrefs
        - lastModified
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````